# <formatter>

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
pattern | string | The string pattern to use to format the property. | True
property | string | The name of the NAnt property to set. | True
if | bool | Indicates if the formatter should be used to format the timestamp. If true then the formatter will be used; otherwise, skipped. The default is true. | False
unless | bool | Indicates if the formatter should be not used to format the timestamp. If false then the formatter will be used; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.90.3780.0)